- Qt 6.9
- Qt Wayland Compositor
- C++ Classes
- QWaylandClient
- Qt Wayland Compositor | Commercial or GPLv3

# QWaylandClient Class

The QWaylandClient class represents a client connecting to the QWaylandCompositor. More...

Header: | `#include <QWaylandClient>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS WaylandCompositor)` `target_link_libraries(mytarget PRIVATE Qt6::WaylandCompositor)`
qmake: | `QT += waylandcompositor`
In QML: | WaylandClient

- List of all members, including inherited members

## Public Types

flags | TextInputProtocols

## Properties

- compositor : QWaylandCompositor* const
- groupId : const qint64
- processId : const qint64
- userId : const qint64

## Public Functions

virtual | ~QWaylandClient() override
wl_client * | client() const
QWaylandCompositor * | compositor() const
qint64 | groupId() const
void | kill(int signal = SIGTERM)
qint64 | processId() const
qint64 | userId() const

## Public Slots

void | close()

## Static Public Members

QWaylandClient * | fromWlClient(QWaylandCompositor *compositor, wl_client *wlClient)

## Detailed Description

This class corresponds to a client connecting to the compositor using the Wayland protocol. It corresponds to the Wayland interface wl_client.

## Property Documentation

### `[read-only]` compositor : QWaylandCompositor* const

This property holds the compositor of this QWaylandClient.

Access functions:

QWaylandCompositor * | compositor() const

### `[read-only]` groupId : const qint64

This property holds the group id of this QWaylandClient.

Access functions:

qint64 | groupId() const

### `[read-only]` processId : const qint64

This property holds the process id of this QWaylandClient.

Access functions:

qint64 | processId() const

### `[read-only]` userId : const qint64

This property holds the user id of this QWaylandClient.

Access functions:

qint64 | userId() const

## Member Function Documentation

### `[override virtual noexcept]` QWaylandClient::~QWaylandClient()

Destroys the QWaylandClient.

### wl_client *QWaylandClient::client() const

Returns the Wayland client of this QWaylandClient.

### `[slot]` void QWaylandClient::close()

Closes the client.

### `[static]` QWaylandClient *QWaylandClient::fromWlClient(QWaylandCompositor *compositor, wl_client *wlClient)

Returns the QWaylandClient corresponding to the Wayland client wlClient and compositor. If a QWaylandClient has not already been created for a client, it is created and returned.

### `[invokable]` void QWaylandClient::kill(int signal = SIGTERM)

Kills the client with the specified signal.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.